<template>
	<view>
		<view v-if="receiverList == ''" class="mart60 fotct font14 fcor666">
			<image mode="widthFix" style="width: 70vw;" src="../../../static/img/noorder.png"></image>
		</view>
		<view class="width100">
			<view class=" mcclist font15 fcor666" v-for="(item,index) in receiverList" :key="index"
				@click="changebank(item)">
				{{item.receiverName}}
			</view>
		</view>
	</view>
</template>

<script>
	import {
		getLedgerReceiverList
	} from '../../../Utils/Api.js';
	let app = getApp();
	export default {
		data() {
			return {
				receiverList: '' //商户列表
			}
		},
		onLoad(options) {
			this.getLedgerReceiverList();
		},
		methods: {
			//查询所有商户列表
			getLedgerReceiverList() {
				let datas = {
					platformType: 1,
					pageNum: 1,
					pageSize: 10
				}
				getLedgerReceiverList(datas).then(res => {
					if (res.return_code == '000000' && res.return_data.list != null) {
						this.receiverList = res.return_data.list;
					}
				})
			},
			// 选择商户
			changebank(item) {
				app.globalData.receiverNo = item.receiverNo;
				app.globalData.receiverName = item.receiverName;
				uni.navigateBack();
			}
		}
	}
</script>
<style lang="scss">
	.mcclist {
		width: calc(100% - 50upx);
		height: 100upx;
		display: flex;
		align-items: center;
		background-color: rgba($color: #ffffff, $alpha: 0.1);
		border-bottom: 1px solid #f6f6f6;
		padding: 12upx 25upx;
	}
</style>